nn.pp.rccore

## Class TerminalBlockInputSettings

- java.lang.Object
- - nn.pp.rccore.TerminalBlockInputSettings

- All Implemented Interfaces:
    ITerminalBlockInputSettings

      public class TerminalBlockInputSettings
      extends java.lang.Object
      implements ITerminalBlockInputSettings

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface nn.pp.rccore.ITerminalBlockInputSettings

      `ITerminalBlockInputSettings.States, ITerminalBlockInputSettings.UserAccess`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TerminalBlockInputSettings(boolean enabled, ITerminalBlockInputSettings.States state, ITerminalBlockInputSettings.UserAccess remoteUserAccess, ITerminalBlockInputSettings.UserAccess localUserAccess)`
    `TerminalBlockInputSettings(ITerminalBlockInputSettings that)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ITerminalBlockInputSettings.UserAccess` | `getLocalUserAccess()` Get the access for local users
    `ITerminalBlockInputSettings.UserAccess` | `getRemoteUserAccess()` Get the access for remote users
    `ITerminalBlockInputSettings.States` | `getState()` Get the state of the Terminal Block
    `boolean` | `isEnabled()` Get whether the Terminal Block input enabled or not
    `void` | `setEnabled(boolean enabled)` Set the enabled state
    `void` | `setLocalUserAccess(ITerminalBlockInputSettings.UserAccess localUserAccess)` Set the access for local users
    `void` | `setRemoteUserAccess(ITerminalBlockInputSettings.UserAccess remoteUserAccess)` Set the access for remote users
    `void` | `setState(ITerminalBlockInputSettings.States state)` Set the state of the Terminal Block
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TerminalBlockInputSettings

          public TerminalBlockInputSettings(boolean enabled,
                                            ITerminalBlockInputSettings.States state,
                                            ITerminalBlockInputSettings.UserAccess remoteUserAccess,
                                            ITerminalBlockInputSettings.UserAccess localUserAccess)

    - #### TerminalBlockInputSettings

          public TerminalBlockInputSettings(ITerminalBlockInputSettings that)

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

      Description copied from interface: `ITerminalBlockInputSettings`
      Get whether the Terminal Block input enabled or not
      Specified by:
        `isEnabled` in interface `ITerminalBlockInputSettings`
      Returns:
        true if the Terminal Block enabled, false otherwise

    - #### setEnabled

          public void setEnabled(boolean enabled)

      Description copied from interface: `ITerminalBlockInputSettings`
      Set the enabled state
      Specified by:
        `setEnabled` in interface `ITerminalBlockInputSettings`
      Parameters:
        `enabled` - true if the Terminal Block enabled, false otherwise

    - #### getState

          public ITerminalBlockInputSettings.States getState()

      Description copied from interface: `ITerminalBlockInputSettings`
      Get the state of the Terminal Block
      Specified by:
        `getState` in interface `ITerminalBlockInputSettings`
      Returns:
        the state of the Terminal Block

    - #### setState

          public void setState(ITerminalBlockInputSettings.States state)

      Description copied from interface: `ITerminalBlockInputSettings`
      Set the state of the Terminal Block
      Specified by:
        `setState` in interface `ITerminalBlockInputSettings`
      Parameters:
        `state` - the state of the Terminal Block

    - #### getRemoteUserAccess

          public ITerminalBlockInputSettings.UserAccess getRemoteUserAccess()

      Description copied from interface: `ITerminalBlockInputSettings`
      Get the access for remote users
      Specified by:
        `getRemoteUserAccess` in interface `ITerminalBlockInputSettings`
      Returns:
        the access for remote users

    - #### setRemoteUserAccess

          public void setRemoteUserAccess(ITerminalBlockInputSettings.UserAccess remoteUserAccess)

      Description copied from interface: `ITerminalBlockInputSettings`
      Set the access for remote users
      Specified by:
        `setRemoteUserAccess` in interface `ITerminalBlockInputSettings`
      Parameters:
        `remoteUserAccess` - the access for remote users

    - #### getLocalUserAccess

          public ITerminalBlockInputSettings.UserAccess getLocalUserAccess()

      Description copied from interface: `ITerminalBlockInputSettings`
      Get the access for local users
      Specified by:
        `getLocalUserAccess` in interface `ITerminalBlockInputSettings`
      Returns:
        the access for local users

    - #### setLocalUserAccess

          public void setLocalUserAccess(ITerminalBlockInputSettings.UserAccess localUserAccess)

      Description copied from interface: `ITerminalBlockInputSettings`
      Set the access for local users
      Specified by:
        `setLocalUserAccess` in interface `ITerminalBlockInputSettings`
      Parameters:
        `localUserAccess` - the access for local users

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2025 Raritan Inc. All Rights Reserved.